Receive update from subject

- « SplObserver

- SplSubject »

- PHP Manual
- SplObserver
- Receive update from subject

# SplObserver::update

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

SplObserver::update — Receive update from subject

### Description

public SplObserver::update(SplSubject `$subject`): void

This method is called when any SplSubject to which the observer is attached calls SplSubject::notify().

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`subject`

  The SplSubject notifying the observer of an update.

### Return Values

No value is returned.